body {
  background: #0a3871;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
}

/* HEADER */
header {
  height: 100px;
  background: #c9cfe4;
  padding: 0 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* menu */
/*
.menu {
  padding-right: 66%;
} */

.logo {
  padding-left: 20px;
}

.menu a {
  color: #0a3871;
  text-transform: uppercase;
  text-decoration: none;
  padding: 0 10px;
  transition: 0.4s;
  font-weight: bold;
  font-size: 20px;
}

.menu a:before {
  content: "✪ ";
}

.mostrar-menu,
.ocultar-menu {
  font-size: 30px;
  cursor: pointer;
  display: none;
  transition: 0.4s;

}

.mostrar-menu {
  order: 1;
}

#check {
  display: none;
}

.principal {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  padding-top: 5px;
}

.principal2 {
  width: 100%;
  padding-top: 5px;
  justify-content: center;
  align-items: center;
}


/* SECCION 2 */
.seccion2 {
  padding: 2em 2em;
  background: #f3f5fc;
  width: 100%;
  margin: 0 auto;
  flex: 1;
  min-width: 300px;
  box-shadow: 0px 24px 32px -8px rgba(0, 0, 0, 0.08);
  /* sombra */
  border-radius: 32px;
}

.input-texto {
  width: 100%;
  height: 460px;
  top: 200px;
  background: none;
  border: none;
  outline: none;
  font-size: 32px;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
  color: #0a3871;
  display: block;
  resize: none;
  margin-left: 50px;
}

.input-texto::placeholder {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 32px;
  line-height: 150%;
  color: #0a3871;
}

.item {
  line-height: 1.5;
  top: 720px;
  justify-content: center;
  text-align: center;
}

.item:before {
  /* content: ""; */
  content: url("https://api.iconify.design/bi/exclamation-circle-fill.svg");
}

#boton1,
#boton2,
#copiar {
  width: 45%;
  height: 48px;
  margin: 0.3rem 0.5rem;
  display: block;
}

.botones {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

}

.encriptar {
  padding: 15px 0;
  font-size: 18px;
  color: white;
  background: #0a3871;
  border: none;
  border-radius: 15px;
  transition: 1s all;
  cursor: pointer;
  top: 760px;

}

.encriptar:hover {
  background: #0a3871;
  transform: scale(1.1);
}

.desencriptar {
  padding: 15px 0;
  font-size: 18px;
  color: #0a3871;
  background: #d8dfe8;
  border: 1px solid #0a3871;
  border-radius: 15px;
  transition: 1s all;
  cursor: pointer;
  top: 760px;

}

.desencriptar:hover {
  background: #d8dfe8;
  transform: scale(1.1);
  color: #0a3871;
}

/* SECCION 3 */

.seccion3 {
  padding: 2em 2em;
  width: 940px;
  height: 570px;
  background: #ffffff;
  box-shadow: 0px 24px 32px -8px rgba(0, 0, 0, 0.08);
  /* sombra */
  border-radius: 32px;
  text-align: center;
  margin: 0 auto;
  flex: 1;
  min-width: 300px;
}

#copiar {
  left: 40px;
  width: 80%;
  justify-content: center;
  text-align: center;
  top: 620px;
  background: #fff;
  border: 1px solid #0a3871;
  border-radius: 15px;
  transition: 1s all;
  cursor: pointer;
  display: none;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  margin: 0 auto;
}

#copiar:hover {
  background: #fff;
  transform: scale(1.1);
  color: #0a3871;
}

.btn-copiar {
  display: block;
  justify-content: center;
  margin-top: 280px;
}

#muneco {
  width: 436px;

}

#msj1 {
  top: 280px;
  font-size: 22px;
  font-weight: bold;
  text-align: center;
}

#msj2 {
  top: 300px;
  font-size: 18px;
  text-align: center;
  height: 200px;
  line-height: 1.4em;
  /* Altura de una línea (interlineado) */
}

#msj3 {
  width: 556px;
  height: 348px;
  top: 50px;
  font-size: 30px;
  border: none;
  outline: none;
  height: 200px;
  resize: none;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
  color: #495057;
  left: 30px;
  text-align: justify;
}

footer {
  text-align: center;
  padding: 60px;
  background: #c9cfe4;
  height: 100px;
  position: fixed;
  width: 100%;

  left: 0;
  bottom: 0;
  align-items: center;

}

footer p strong {
  font-weight: bold;
}

.copyright {
  color: #0a3871;
  font-size: 15px;

}

.about {
  padding: 2em 2em;
  background: #f3f5fc;
  width: 80%;
  margin: 0 auto;
  flex: 1;
  min-width: 300px;
  box-shadow: 0px 24px 32px -8px rgba(0, 0, 0, 0.08);
  /* sombra */
  border-radius: 32px;
  height: auto;
}

main h2 {
  font-size: 20px;
  font-weight: 600;

}
main p {
  font-size: 18px;
  text-align: justify;
  margin: 0 30px;
  line-height: 30px;
}

a.button {
  -webkit-appearance: button;
  -moz-appearance: button;
  appearance: button;

  text-decoration: none;
  color: initial;
}



/* Responsive design Mobile */

@media (min-width:320px){

  :root {
    font-size: 65%;
  }

  .principal, .principal2 {
    width: 100%;
  }
  .menu{
    position: fixed;
    width: 100%;
  }
}

@media(min-width:360px) {
  :root {
    font-size: 70%;
  }

  .principal, .principal2 {
    width: 100%;
  }

}

@media (min-width:480px) and (max-width:599px) {
  :root {
    font-size: 75%;
  }

  .principal, .principal2 {
    width: 85%;
  }

  .copyright {
    font-size: 1.2rem
  }

  /*
  .social {
    font-size: 1.8rem;
  } */
}


@media(max-width:768px) {

  /* HEADER */
  .mostrar-menu,
  .ocultar-menu {
    display: block;
  }

  .menu {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #B1B8D1;
    right: -100%;
    top: 0;
    text-align: center;
    padding: 100px 0px;
    z-index: 100;
    transition: 0.8s;
  }

  .menu a {
    display: block;
    padding: 20px;
  }

  .ocultar-menu {
    position: absolute;
    top: 40px;
    right: 40px;
  }

  #check:checked~.menu {
    right: 0;
  }

  /*SECCION 2*/
  .seccion2,
  .seccion3,
  #muneco,
  .input-texto,
  .botones,
  .item {
    width: auto;
  }

  .seccion3 {
    height: 500px;
  }

  #boton1,
  #boton2 {
    padding: 0 40px;
    text-align: center;
    justify-content: center;
  }

  .input-texto {
    margin-left: 5px;
  }

  .logo {
    padding-left: 0px;
  }

  footer {
    margin-top: 10px;
    text-align: center;
    align-items: center;
    position: inherit;
    width: auto;
    border-radius: 20px 20px 0 0;
    height: 70px;
  }

  .copyright {
    line-height: 20px;
  }

}